fields:
  heroImageOptions:
    label: Hero Image Options
    type: headline
    when:
      heroType: Hero Image

  heroImage:
    label: Image
    type: files
    accept: image/webp
    multiple: false
    layout: list
    empty: No image selected
    min: 1
    templates:
      - image
    help: For faster loading select .webp image
    when:
      heroType: Hero Image
    width: 1/1

  heroImageTitleType:
    label: Set Custom Titles
    type: toggle
    text:
      - "No"
      - "Yes"
    width: 1/1
    when:
      heroType: Hero Image

  heroImageTitle:
    label: Title 1
    type: text
    when:
      heroType: Hero Image
      heroImageTitleType: Yes
    width: 1/1

  heroImageSubtitle:
    label: Title 2
    type: text
    when:
      heroType: Hero Image
      heroImageTitleType: Yes
    width: 1/1

  heroImageFade:
    label: Add Fade Over Image
    type: toggle
    text:
      - "No"
      - "Yes"
    width: 1/2
    when:
      heroType: Hero Image

  heroImageHeight:
    label: Height
    type: radio
    options:
      Small: Small (20%)
      Medium: Medium (40%)
      Large: Large (70%)
      Fullscreen: Full screen
    width: 1/2
    when:
      heroType: Hero Image

  heroImagePosition:
    label: Image Alignment (desktop)
    type: radio
    options:
      top: top
      center: center
      bottom: bottom
    width: 1/2
    when:
      heroType: Hero Image

  heroImagePositionMobile:
    label: Image Alignment (mobile)
    type: radio
    options:
      left: left
      center: center
      right: right
    width: 1/2
    when:
      heroType: Hero Image

  heroSliderOptions:
    label: Hero Slider Options
    type: headline
    when:
      heroType: Hero Slider
  slides:
    label: Select Slides
    type: files
    multiple: true
    layout: cards
    templates:
      - image
    when:
      heroType: Hero Slider
    width: 1/1

  heroSliderTitleType:
    label: Set Custom Titles
    type: toggle
    text:
      - "No"
      - "Yes"
    width: 1/1
    when:
      heroType: Hero Slider

  heroSliderTitle:
    label: Title 1
    type: text
    when:
      heroType: Hero Slider
      heroSliderTitleType: Yes
    width: 1/1
  heroSliderSubTitle:
    label: Title 2
    type: text
    when:
      heroType: Hero Slider
      heroSliderTitleType: Yes
    width: 1/1

  showSliderArrows:
    label: Show slider arrows
    type: toggle
    text:
      - "No"
      - "Yes"
    width: 1/3
    when:
      heroType: Hero Slider
  heroSliderFade:
    label: Add Fade Over Slider
    type: toggle
    text:
      - "No"
      - "Yes"
    width: 1/3
    when:
      heroType: Hero Slider
  randomSliders:
    label: Random slide order?
    type: toggle
    text:
      - "No"
      - "Yes"
    width: 1/3
    when:
      heroType: Hero Slider

  heroSliderHeight:
    label: Height
    type: radio
    options:
      Small: Small (20%)
      Medium: Medium (40%)
      Large: Large (70%)
      Fullscreen: Full screen
    width: 1/2
    when:
      heroType: Hero Slider
  heroSlidePosition:
    label: Image Position
    type: radio
    options:
      top: top
      middle: middle
      bottom: bottom
    width: 1/2
    when:
      heroType: Hero Slider

  heroVideoOptions:
    label: Hero Video Options
    type: headline
    when:
      heroType: Hero Video
  heroVideoFile:
    label: Select video file
    type: files
    multiple: false
    query: page.videos
    accept:
      mime: mp4
    when:
      heroType: Hero Video
    width: 1/2
  heroVimeoUrl:
    label: Or Vimeo video ID number
    type: text
    when:
      heroType: Hero Video
    width: 1/2
  heroVideoPoster:
    label: Poster
    type: files
    multiple: false
    layout: list
    templates:
      - image
    when:
      heroType: Hero Video
    width: 1/1

  heroVideoTitleType:
    label: Set Custom Titles
    type: toggle
    text:
      - "No"
      - "Yes"
    width: 1/3
    when:
      heroType: Hero Video
  heroVideoTitle:
    label: Title
    type: text
    when:
      heroType: Hero Video
      heroVideoTitleType: Yes
    width: 1/1
  heroVideoSubTitle:
    label: Sub Title
    type: text
    when:
      heroType: Hero Video
      heroVideoTitleType: Yes
    width: 1/1

  heroVideoFade:
    label: Add Fade Over Video
    type: toggle
    text:
      - "No"
      - "Yes"
    width: 1/2
    when:
      heroType: Hero Video

  heroVideoHeight:
    label: Height
    type: radio
    default: large
    options:
      Small: Small (20%)
      Medium: Medium (40%)
      Large: Large (70%)
      Fullscreen: Full screen
    width: 1/2
    when:
      heroType: Hero Video
